dig and custom objects

12/06/2015 05:18 AM - marcandre (Marc-Andre Lafortune)

Status: Closed   

Priority: Normal   

Assignee: matz (Yukihiro Matsumoto)   

Target version:    

ruby -v: 2.3.0 preview Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2:

UNKNOWN

Description

Although currently undocumented and untested, it is possible to dig objects of any class that implements dig:

class Foo

  def dig(x, *)

    40 + x

  end

end

{hello: Foo.new}.dig(:hello, 2) # => 42

 This seems actually quite nice to me.

Matz, could you confirm that this is part of the new feature? I'll fix the documentation and add some basic tests

History

#1 - 12/06/2015 11:53 AM - Eregon (Benoit Daloze)

There is already a spec for this behavior though :)

https://github.com/ruby/rubyspec/blob/master/core/hash/dig_spec.rb

#2 - 12/07/2015 06:53 AM - matz (Yukihiro Matsumoto)

Confirmed. ;-)

Matz.

#3 - 11/22/2017 09:59 AM - marcandre (Marc-Andre Lafortune)

- Status changed from Open to Closed
